Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20ResourceShapeBox

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource
          de.grogra.imp3d.gl20.GL20ResourceShape
              de.grogra.imp3d.gl20.GL20ResourceShapeBox

    public class GL20ResourceShapeBox

extends GL20ResourceShape

Field Summary

Fields inherited from class de.grogra.imp3d.gl20.GL20Resource
`GL20RESOURCE_CLASS_LIGHT, GL20RESOURCE_CLASS_MASK, GL20RESOURCE_CLASS_MESH, GL20RESOURCE_CLASS_SHADER, GL20RESOURCE_CLASS_SHADERFRAGMENT, GL20RESOURCE_CLASS_SHAPE, GL20RESOURCE_CLASS_TEXTURE, GL20RESOURCE_LIGHT_DIRECTIONAL, GL20RESOURCE_LIGHT_POINT, GL20RESOURCE_LIGHT_SPOT, GL20RESOURCE_MESH_MULTI_USER, GL20RESOURCE_MESH_SINGLE_USER, GL20RESOURCE_SHADER_PHONG, GL20RESOURCE_SHADER_RGBA, GL20RESOURCE_SHADERFRAGMENT_BLEND, GL20RESOURCE_SHADERFRAGMENT_GRAYTONE, GL20RESOURCE_SHADERFRAGMENT_RGB, GL20RESOURCE_SHAPE_BOX, GL20RESOURCE_SHAPE_FRUSTUM, GL20RESOURCE_SHAPE_LINE, GL20RESOURCE_SHAPE_LINE_STRIP, GL20RESOURCE_SHAPE_PARALLELOGRAM, GL20RESOURCE_SHAPE_PLANE, GL20RESOURCE_SHAPE_POLYGONS, GL20RESOURCE_SHAPE_SPHERE, GL20RESOURCE_TEXTURE, GL20RESOURCE_TEXTURE_CUBEMAP, GL20RESOURCE_TYPE_MASK`

Constructor Summary
`GL20ResourceShapeBox()`

Method Summary
`void` | `applyGeometry()` tell this `GL20ResourceShape` that it should apply the geometry to the `GL20GfxServer`
`void` | `destroy()` destroy this `GL20ResourceShapeBox`
`float` | `getHalfLength()` get the half length of this `GL20ResourceShapeBox`
`float` | `getHalfWidth()` get the half width of this `GL20ResourceShapeBox`
`float` | `getHeight()` get the height of this `GL20ResourceShapeBox`
`boolean` | `isUpToDate()` check if this `GL20ResourceShapeBox` is up to date.
`void` | `setHalfLength(float halfLength)` set the half length of this `GL20ResourceShapeBox`
`void` | `setHalfWidth(float halfWidth)` set the half width of this `GL20ResourceShapeBox`
`void` | `setHeight(float height)` set the height of this `GL20ResourceShapeBox`
`void` | `update()` update this `GL20ResourceShapeBox` is up to date.

Methods inherited from class de.grogra.imp3d.gl20.GL20ResourceShape
`getShader, getShapeTransformationMatrix, getWorldTransformationMatrix, setShader, setShapeTransformationMatrix, setWorldTransformationMatrix`

Methods inherited from class de.grogra.imp3d.gl20.GL20Resource
`getResourceClass, getResourceClassType, getResourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GL20ResourceShapeBox

    public GL20ResourceShapeBox()

Method Detail

### applyGeometry

    public void applyGeometry()

  tell this `GL20ResourceShape` that it should apply the geometry to the `GL20GfxServer`

  Overrides:
    `applyGeometry` in class `GL20ResourceShape`

### destroy

    public void destroy()

  destroy this `GL20ResourceShapeBox`

  Overrides:
    `destroy` in class `GL20ResourceShape`
  See Also:
    `GL20Resource`

### getHalfLength

    public final float getHalfLength()

  get the half length of this `GL20ResourceShapeBox`

  Returns:
    the half length

### getHalfWidth

    public final float getHalfWidth()

  get the half width of this `GL20ResourceShapeBox`

  Returns:
    the half width

### getHeight

    public final float getHeight()

  get the height of this `GL20ResourceShapeBox`

  Returns:
    the height

### isUpToDate

    public boolean isUpToDate()

  check if this `GL20ResourceShapeBox` is up to date.

  Overrides:
    `isUpToDate` in class `GL20ResourceShape`
  Returns:
    `true` - this `GL20ResourceShapeBox` is up to date
  See Also:
    `GL20Resource`

### setHalfLength

    public final void setHalfLength(float halfLength)

  set the half length of this `GL20ResourceShapeBox`

  Parameters:
    `halfLength` - the half length

### setHalfWidth

    public final void setHalfWidth(float halfWidth)

  set the half width of this `GL20ResourceShapeBox`

  Parameters:
    `halfWidth` - the half width

### setHeight

    public final void setHeight(float height)

  set the height of this `GL20ResourceShapeBox`

  Parameters:
    `height` - the height

### update

    public void update()

  update this `GL20ResourceShapeBox` is up to date.

  Overrides:
    `update` in class `GL20ResourceShape`
  See Also:
    `GL20Resource`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD